import request, { postBlob, handleImport } from '@/utils/request'

export function newGetMaterialList(data) {
  return request({
    url: `/sys/material/zfire/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function newGetMaterialListExport(data, name) {
  return postBlob({
    url: '/sys/material/zfire/list/export',
    data,
    name
  })
}

export function newMaterialListImport(data) {
  return handleImport('sys/material/batch/update', data.formdata, data.id || '')
}

// 获取辅材列表
export function getMaterialList(params) {
  return request({
    url: '/sys/material/list',
    method: 'get',
    params
  })
}

// 获取辅材信息
export function getMaterial(params) {
  return request({
    url: '/sys/material/detail',
    method: 'get',
    params
  })
}

// 新增辅材
export function addMaterial(params) {
  return request({
    url: '/sys/material/add',
    method: 'post',
    data: params
  })
}

// 编辑辅材
export function editMaterial(params) {
  return request({
    url: '/sys/material/update',
    method: 'post',
    data: params
  })
}

// 辅材增量同步
export function materialSync(params) {
  return request({
    url: '/sys/material/sync',
    method: 'post',
    params
  })
}

// 辅材全量同步
export function materialAllSync(params) {
  return request({
    url: '/sys/material/all-sync',
    method: 'post',
    params
  })
}
