import request, { postBlob } from '@/utils/request'

// 获取网点采购单列表
export function getPurchaseApplySheetList(params) {
  return request({
    url: '/vender/shop-purchase-apply/list',
    method: 'get',
    params
  })
}
// 获取新网点采购单列表
export function getNewPurchaseApplySheetList(data) {
  return request({
    url: `/vender/shop-purchase-apply/zfire/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

// 导出
export function exportNewPurchaseApplySheetList(data, name) {
  return postBlob({
    url: 'vender/shop-purchase-apply/zfire/list/export',
    data,
    name
  })
}

// 获取网点采购单信息
export function getPurchaseApplySheet(params) {
  return request({
    url: '/vender/shop-purchase-apply/detail',
    method: 'get',
    params
  })
}

// 编辑网点采购单
export function editPurchaseApplySheet(params) {
  return request({
    url: '/vender/shop-purchase-apply/update',
    method: 'post',
    data: params
  })
}

// 核实网点采购单
export function verifyPurchaseApplySheet(params) {
  return request({
    url: '/vender/shop-purchase-apply/verify',
    method: 'get',
    params
  })
}

// 撤消网点采购单
export function revokePurchaseApplySheet(params) {
  return request({
    url: '/vender/shop-purchase-apply/revoke',
    method: 'get',
    params
  })
}
